Font::TTF::PSNames(3)

NAME
Font::TTF::PSNames - Utilities for Postscript glyph name processing

SYNOPSIS
  use Font::TTF::PSNames qw(parse lookup);
  $name = lookup($uni);
  $uni = parse($name);

METHODS

  lookup ( $usv [, $noAlt [, $noUni] ])
return the Adobe-recommended glyph name for a specific Unicode codepoint (integer). By default returns "uniXXXX" names rather than "afiiNNNNN" or "SFnnnnnn" names

If $noAlt is true, "afii" and "SF" names are returned rather than "uniXXXX".

if $noUni is true, returns undef if it would have to resort to "uniXXXX" or "uXXXXXX" style names. Essentially this represents a straight lookup in the Adobe-recommended list.

  parse ( $glyphname )
Parse an Adobe-conformant glyph name, generating a Unicode codepoint sequence equivalent to the glyph (or glyph components, should the name represent a ligature). In scalar context, returns a reference to an array of Unicodes (decimal). Array is empty if the glyph name is non-conformant. In list context, the first item returned is the same array reference as above. The second item is a reference to an array containing the extensions (if any) present on the glyph name. The '.' that precedes each extension is not included.

AUTHOR
Martin Hosken <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.